<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app">{{str}}
        <p id="sdaf">dsfsdf</p>
        <p v-bind:id="uuid">{{num}}</p> <!--돔에 대한 정보도 바인딩 가능-->
        <p v-bind:class="name">{{doubleNum}}</p>
        <p v-if="show">nice day</p>
        <p v-show="show">nice day2</p>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        new Vue({
            el: '#app',
            data: {
                str: 'hi',
                num: 10,
                uuid:'abcd1234',
                name:'text-blue',
                show:false
            },
            computed: {
                doubleNum: function(){
                    return this.num * 2;
                }
            }
        })
    </script>
</html>
<style>
.text-blue { color:blue}
.text-red { color:red}
</style>